このページはAIにより自動翻訳されており、不正確な内容が含まれている可能性があります。翻訳の誤りを報告するには、ページ右側の目次の下にあるフィードバックをご利用ください。
利用可能なメールテンプレートの一覧
get
/templates/email/list
このエンドポイントを使用して、Brazeアカウントで利用可能なメールテンプレートのリストを取得します。
前提条件
このエンドポイントを使用するには、templates.email.list 権限を持つ API キーが必要です。
レート制限
APIレート制限に記載されているように、このエンドポイントにはデフォルトのBrazeレート制限(1時間あたり250,000リクエスト)が適用されます。
リクエストパラメーター
| パラメーター | 必須 | データタイプ | 説明 |
|---|---|---|---|
modified_after |
オプション | ISO-8601 形式の文字列 | 指定された時刻以降に更新されたテンプレートのみを取得します。 |
modified_before |
オプション | ISO-8601 形式の文字列 | 指定された時刻以前に更新されたテンプレートのみを取得します。 |
limit |
オプション | 正の数値 | 取得するテンプレートの最大数。指定されない場合、デフォルトは 100 です。最大許容値は 1000 です。 |
offset |
オプション | 正の数値 | 検索条件に合う残りのテンプレートを返す前にスキップするテンプレートの数。 |
リクエスト例
1
2
curl --location --request GET 'https://rest.iad-01.braze.com/templates/email/list?modified_after=2020-01-01T01:01:01.000000&modified_before=2020-02-01T01:01:01.000000&limit=1&offset=0' \
--header 'Authorization: Bearer YOUR_REST_API_KEY'
応答

重要
メール用のドラッグ&ドロップエディターを使用して作成されたテンプレートは、この応答には含まれません。
1
2
3
4
5
6
7
8
9
{
"count": the number of templates returned
"templates": [template with the following properties]:
"email_template_id": (string) your email template's API Identifier,
"template_name": (string) the name of your email template,
"created_at": (string) the time the email was created at in ISO 8601,
"updated_at": (string) the time the email was updated in ISO 8601,
"tags": (array of strings) tags appended to the template
}
New Stuff!